# Plutonium framework API: pu::ui::render::TextureRenderOptions Struct Reference

pu::ui::render::TextureRenderOptions Struct Reference

`#include <render_Renderer.hpp>`

## Static Public Member Functions

static constexpr TextureRenderOptions | WithCustomAlpha (const u8 alpha)
static constexpr TextureRenderOptions | WithCustomDimensions (const i32 width, const i32 height)

## Public Attributes

i32 | alpha_mod
i32 | width
i32 | height
float | rot_angle

## Static Public Attributes

static constexpr i32 | NoAlpha = -1
static constexpr i32 | NoWidth = -1
static constexpr i32 | NoHeight = -1
static constexpr float | NoRotation = -1.0f
static const TextureRenderOptions | Default = { TextureRenderOptions::NoAlpha, TextureRenderOptions::NoWidth, TextureRenderOptions::NoHeight, TextureRenderOptions::NoRotation }

## Member Function Documentation

## WithCustomAlpha()

static constexpr TextureRenderOptions pu::ui::render::TextureRenderOptions::WithCustomAlpha | ( | const u8 | alpha | ) |

inlinestaticconstexpr

## WithCustomDimensions()

static constexpr TextureRenderOptions pu::ui::render::TextureRenderOptions::WithCustomDimensions | ( | const i32 | width,
|  | const i32 | height
| ) |  |

inlinestaticconstexpr

## Member Data Documentation

## alpha_mod

i32 pu::ui::render::TextureRenderOptions::alpha_mod

## Default

constexpr const TextureRenderOptions pu::ui::render::TextureRenderOptions::Default = { TextureRenderOptions::NoAlpha, TextureRenderOptions::NoWidth, TextureRenderOptions::NoHeight, TextureRenderOptions::NoRotation }

inlinestaticconstexpr

## height

i32 pu::ui::render::TextureRenderOptions::height

## NoAlpha

constexpr i32 pu::ui::render::TextureRenderOptions::NoAlpha = -1

staticconstexpr

## NoHeight

constexpr i32 pu::ui::render::TextureRenderOptions::NoHeight = -1

staticconstexpr

## NoRotation

constexpr float pu::ui::render::TextureRenderOptions::NoRotation = -1.0f

staticconstexpr

## NoWidth

constexpr i32 pu::ui::render::TextureRenderOptions::NoWidth = -1

staticconstexpr

## rot_angle

float pu::ui::render::TextureRenderOptions::rot_angle

## width

i32 pu::ui::render::TextureRenderOptions::width

The documentation for this struct was generated from the following file:

- Plutonium/include/pu/ui/render/render_Renderer.hpp